Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.binding
Class DocumentBinding

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandler
          org.codehaus.xfire.service.binding.AbstractBinding
              org.codehaus.xfire.service.binding.DocumentBinding

All Implemented Interfaces:
  java.lang.Cloneable, MessageSerializer, Handler, ObjectBinding, WSDL11ParameterBinding

    public class DocumentBinding

extends AbstractBinding
implements WSDL11ParameterBinding, java.lang.Cloneable

Field Summary

Fields inherited from class org.codehaus.xfire.service.binding.AbstractBinding
`OPERATION_KEY, RESPONSE_PIPE, RESPONSE_VALUE`

Fields inherited from interface org.codehaus.xfire.handler.Handler
`ROLE`

Constructor Summary
`DocumentBinding()`

Method Summary
`java.lang.Object` | `clone()`
`void` | `createInputParts(WSDLBuilder builder, javax.wsdl.Message req, OperationInfo op)`
`void` | `createOutputParts(WSDLBuilder builder, javax.wsdl.Message req, OperationInfo op)`
`protected MessagePartInfo` | `findMessagePart(Service endpoint, javax.xml.namespace.QName name)`
`protected OperationInfo` | `findOperation(Service endpoint, java.util.List parameters)`
`void` | `readMessage(InMessage inMessage, MessageContext context)`
`void` | `writeMessage(OutMessage message, javax.xml.stream.XMLStreamWriter writer, MessageContext context)`

Methods inherited from class org.codehaus.xfire.service.binding.AbstractBinding
`getBindingProvider, getInvoker, getPhase, getStyle, getUse, invoke, isClientModeOn, nextEvent, sendMessage, setBindingProvider, setClientModeOn, setInvoker, setOperation, setStyle, setUse`

Methods inherited from class org.codehaus.xfire.handler.AbstractHandler
`getRoles, getUnderstoodHeaders, handleFault`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.wsdl11.WSDL11ParameterBinding
`getStyle, getUse`

Methods inherited from interface org.codehaus.xfire.handler.Handler
`getRoles, getUnderstoodHeaders, handleFault`

Constructor Detail

### DocumentBinding

    public DocumentBinding()

Method Detail

### readMessage

    public void readMessage(InMessage inMessage,
                            MessageContext context)
                     throws XFireFault

  Specified by:
    `readMessage` in interface `MessageSerializer`
  Throws:
    `XFireFault`

### writeMessage

    public void writeMessage(OutMessage message,
                             javax.xml.stream.XMLStreamWriter writer,
                             MessageContext context)
                      throws XFireFault

  Specified by:
    `writeMessage` in interface `MessageSerializer`
  Throws:
    `XFireFault`

### findOperation

    protected OperationInfo findOperation(Service endpoint,
                                          java.util.List parameters)

### findMessagePart

    protected MessagePartInfo findMessagePart(Service endpoint,
                                              javax.xml.namespace.QName name)

### createInputParts

    public void createInputParts(WSDLBuilder builder,
                                 javax.wsdl.Message req,
                                 OperationInfo op)

  Specified by:
    `createInputParts` in interface `WSDL11ParameterBinding`

### createOutputParts

    public void createOutputParts(WSDLBuilder builder,
                                  javax.wsdl.Message req,
                                  OperationInfo op)

  Specified by:
    `createOutputParts` in interface `WSDL11ParameterBinding`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `AbstractBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.